VIDIR(1)

NAME
vidir - edit directories and filenames

SYNOPSIS
vidir [--verbose] [directory|file|-]...

DESCRIPTION
vidir allows editing of directories and filenames in a text editor. If no directory is specified, the filenames of the current directory are edited.

When editing a directory, each item in the directory will appear on its own numbered line. These numbers are how vidir keeps track of what items are changed. Delete lines to remove files from the directory, or edit filenames to rename files. You can also switch pairs of numbers to swap filenames.

Filenames to be edited may be given any combination of directorys (which will be expanded to the non-recursive list of all files within directory), files, or -. If the latter is specified, vidir reads a list of filenames from stdin and displays those for editing.

OPTIONS

-v, --verbose
    Verbosely display the actions taken by the program.

EXAMPLES

vidir
vidir *.jpeg
    Typical uses.

find | vidir -
    Edit subdirectory contents too. To delete subdirectories, delete all their contents and the subdirectory itself in the editor.

find -type f | vidir -
    Edit all files under the current directory and subdirectories.

ENVIRONMENT VARIABLES

EDITOR
    Editor to use.

VISUAL
    Also supported to determine what editor to use.

AUTHOR
Copyright 2006 by Joey Hess <id@joeyh.name>

Licensed under the GNU GPL.